/* BUTTONS */

a.btnActive {
    background: #75a753 !important;
}

a.btnInactive, a.btnDeleted {
    background: #CC0000 !important;
}

a.dnnPrimaryAction.aspNetDisabled, a.dnnSecondaryAction.aspNetDisabled {
    background: #ccc !important;
}

.AdoreCatalog .dnnActions {
    display: table;
    margin: 0 auto;
}

    .AdoreCatalog .dnnActions .dnnPrimaryAction, .AdoreCatalog .dnnActions .dnnSecondaryAction {
        letter-spacing: normal;
    }

.AdoreCatalog input[type="checkbox"] {
    margin-right: 5px;
}

.AdoreCatalogCheckbox label {
    display: inline-block;
    font-weight: normal;
    margin-bottom: 0;
    max-width: none;
}

.AdoreCatalogList h3 {
    margin: 0 0 15px 0;
}

.AdoreCatalogPager {
    text-align: center;
    margin-top: 15px;
}

.AdoreCatalogList > .row {
    padding-top: 15px;
    padding-bottom: 15px;
    border-top: 1px solid #ccc;
}

    .AdoreCatalogList > .row:first-child {
        border-top: none;
    }

    .AdoreCatalogList > .row:last-child {
        border-bottom: 1px solid #ccc;
    }

/* PANELS */

.AdoreCatalogPanel {
    text-align: center;
}

.AdoreCatalogPanelItem {
    display: inline-block;
    margin: 6px;
}

    .AdoreCatalogPanelItem input[type="text"], .AdoreCatalogPanelItem input[type="password"], .AdoreCatalogPanelItem textarea, .AdoreCatalogPanelItem select,
    .FilterSortColumnItem select {
        padding: 4px 9px;
        border-radius: 3px;
        border: 1px solid #bbb;
        font-size: 12px;
    }

    .AdoreCatalogPanelItem input[type="checkbox"] {
        margin: 9px 0 10px 0 !important;
    }

.AdoreCatalogPanelLabel {
    display: inline-block;
    font-weight: bold;
    margin-bottom: 5px;
}

.AdoreCatalog .sortableList .ui-sortable-handle,
.AdoreCatalog .sortableGrid .ui-sortable-handle {
    cursor: move;
}

.AdoreCatalog .sortableList .ui-sortable-helper {
    display: table;
}

.ui-sortable-placeholder td {
    background-color: #333;
}

/* FORMS */

.AdoreCatalogForm .row {
    margin: 0 0 15px 0;
}

.AdoreCatalogForm .centered {
    text-align: center;
}

.AdoreCatalogForm .AdoreCatalogFormItem {
    margin-bottom: 15px;
}

.AdoreCatalogForm .AdoreCatalogFormItemLabel {
    font-weight: bold;
    padding: 3px 0;
    line-height: 16px;
}

.AdoreCatalogForm .AdoreCatalogFormItemField {
    min-height: 32px;
}

.AdoreCatalogForm .twoCol {
    display: table;
    width: 100%;
}

    .AdoreCatalogForm .twoCol > div {
        display: table-cell;
    }

.AdoreCatalogForm .AdoreCatalogFormRequired {
    color: #ff0000;
    padding-left: 6px;
}

.AdoreCatalogForm input[type="text"], .AdoreCatalogForm input[type="tel"], .AdoreCatalogForm input[type="email"], .AdoreCatalogForm input[type="url"], .AdoreCatalogForm input[type="password"], .AdoreCatalogForm select, .AdoreCatalogForm textarea {
    padding: 4px 9px;
    border-radius: 3px;
    border: 1px solid #bbb;
    font-size: 12px;
}

.AdoreCatalogForm .AdoreCatalogFormItemField input[type="text"], .AdoreCatalogForm .AdoreCatalogFormItemField input[type="tel"], .AdoreCatalogForm .AdoreCatalogFormItemField input[type="email"], .AdoreCatalogForm .AdoreCatalogFormItemField input[type="url"], .AdoreCatalogForm input[type="password"], .AdoreCatalogForm .AdoreCatalogFormItemField select, .AdoreCatalogForm .AdoreCatalogFormItemField textarea, .AdoreCatalogDataEntryTable input[type="text"], .AdoreCatalogDataEntryTable input[type="password"], .AdoreCatalogDataEntryTable select, .AdoreCatalogDataEntryTable textarea {
    width: 100%;
}

.AdoreCatalogForm .AdoreCatalogFormItemField input[type="text"], .AdoreCatalogForm .AdoreCatalogFormItemField input[type="tel"], .AdoreCatalogForm .AdoreCatalogFormItemField input[type="email"], .AdoreCatalogForm .AdoreCatalogFormItemField input[type="url"], .AdoreCatalogForm input[type="password"], .AdoreCatalogForm .AdoreCatalogFormItemField select, .AdoreCatalogDataEntryTable input[type="text"], .AdoreCatalogDataEntryTable input[type="password"], .AdoreCatalogDataEntryTable select {
    height: 32px;
}

.AdoreCatalogPanelItem input[type="text"], .AdoreCatalogPanelItem input[type="password"], .AdoreCatalogPanelItem textarea, .AdoreCatalogPanelItem select,
.FilterSortColumnItem select {
    padding: 4px 9px;
    border-radius: 3px;
    border: 1px solid #bbb;
    font-size: 12px;
}

.AdoreCatalogForm .CheckBoxList {
    list-style: none;
    margin-left: 0;
}

    .AdoreCatalogForm .CheckBoxList li {
        float: left;
        margin: 10px 20px 0 0;
        white-space: nowrap;
    }

.AdoreCatalogForm input[type="checkbox"] {
    margin-right: 5px;
}

.AdoreCatalogForm .IconButton {
    font-size: 24px;
    color: #545454;
}

    .AdoreCatalogForm .IconButton i.selected {
        color: #00b4f1 !important;
    }

.AdoreCatalogPanelItem input[type="checkbox"] {
    margin: 9px 5px 10px 0 !important;
}

.AdoreCatalogForm .AdoreCatalogFormErrorMessage {
    float: right;
    color: #cc0000;
}


/* TABLES */

.AdoreCatalogDataTable {
    border-collapse: collapse;
    margin: 15px auto;
    padding: 0;
    border: 0;
}

.ProductCategorySeoUrlTable, .ProductSeoUrlTable {
    margin: 15px 0;
}

.table-responsive {
    border: none;
}

    .table-responsive .AdoreCatalogDataTable {
        margin: 0 auto;
    }

.table-responsive {
    margin: 15px auto;
}

.AdoreCatalogDataTable th {
    background-color: #444;
    color: #fff;
    border: 0;
    vertical-align: top;
    padding: 6px 9px;
    border-right: 1px solid #fff;
    position: relative;
}

    .AdoreCatalogDataTable th:last-child {
        border-right: 0;
    }

    .AdoreCatalogDataTable th.HeaderColumn {
        height: 100%;
    }

        .AdoreCatalogDataTable th.HeaderColumn .HeaderContainer {
            display: table;
            width: 100%;
            height: 100%;
        }

        .AdoreCatalogDataTable th.HeaderColumn .HeaderLabelRow {
            display: table-row;
            width: 100%;
            height: 100%;
        }

        .AdoreCatalogDataTable th.HeaderColumn .HeaderColumnLabel {
            display: table-cell;
            width: 100%;
            height: 100%;
        }

        .AdoreCatalogDataTable th.HeaderColumn .FilterSortRow {
            display: table-row;
        }

        .AdoreCatalogDataTable th.HeaderColumn .FilterSortContainer {
            margin-top: 6px;
            color: #444;
            display: table;
            width: 100%;
            position: relative;
            bottom: 0;
        }

        .AdoreCatalogDataTable th.HeaderColumn .FilterSortColumnItem {
            display: table-cell;
            vertical-align: top;
            text-align: right;
            padding-left: 5px;
            width: 100%;
        }

            .AdoreCatalogDataTable th.HeaderColumn .FilterSortColumnItem:first-child {
                padding-left: 0;
            }

        .AdoreCatalogDataTable th.HeaderColumn .FilterSortRow .FilterSortContainer .FilterSortColumnItem select {
            padding: 2px 4px;
            font-size: 10px;
            width: 100%;
            min-width: 50px;
        }

    .AdoreCatalogDataTable th.HeaderColumnGroup {
        padding-bottom: 0;
    }

    .AdoreCatalogDataTable th.HeaderColumn div.HeaderGroup {
        border-bottom: 1px solid #fff;
    }

.AdoreCatalogDataTable td {
    border: 0;
    background: #fafafa;
    vertical-align: top;
    padding: 3px 6px;
}

.AdoreCatalogDataTable tr:nth-child(odd) td {
    background: #fefefe;
}

.AdoreCatalogDataTableFooter td {
    background: #ccc !important;
    font-weight: bold;
}

/* AUDIT INFO */

.AdoreCatalogAuditInfo h6 {
    font-size: 14px;
    line-height: 18px;
}

.AdoreCatalogAuditInfo .AdoreCatalogFormItem {
    font-size: 10px;
    line-height: 14px;
    margin-bottom: 10px;
}


/* PRODUCT IMAGES */

.AdoreCatalog .LabelTotalItems {
    display: block;
    font-weight: bold;
    text-align: center;
}

.AdoreCatalog .ProductImagesListViewListView {
    margin: 15px -15px;
}

.AdoreCatalog .ProductImagesItemContainer {
    margin: 0;
    padding: 0 2.4% 0 0;
}

    .AdoreCatalog .ProductImagesItemContainer:before, .AdoreCatalog .ProductImagesItemContainer:after {
        content: " ";
        display: table;
    }

.AdoreCatalog .ProductImagesItem {
    display: inline-block;
    vertical-align: top;
    text-align: center;
    padding: 1.6%;
    margin: 2.4% 0 0 2.4%;
    width: 14.26%;
    border: 1px dotted rgba(0, 0, 0, 0.2);
}

    .AdoreCatalog .ProductImagesItem:hover {
        border: 1px dotted rgba(0, 0, 0, 0.75);
    }

@media all and (max-width: 980px) {
    .AdoreCatalog .ProductImagesItem {
        width: 22.6%;
    }
}

@media all and (max-width: 800px) {
    .AdoreCatalog .ProductImagesItem {
        width: 30.6%;
    }
}

@media all and (max-width: 480px) {
    .AdoreCatalog .ProductImagesItem {
        width: 47.6%;
    }
}

@media all and (max-width: 300px) {
    .AdoreCatalog .ProductImagesItem {
        width: auto;
        float: none;
    }
}

.AdoreCatalog .ProductImagesItem.placeholder {
    background: rgba(0,0,0,0.05);
    border: 1px dotted #454545;
    box-sizing: content-box;
}

.AdoreCatalog .ProductImagesItem.helper {
    background: #ccc;
    border: 1px solid #454545;
    box-sizing: content-box;
}

.AdoreCatalog .ProductImagesItem .selectBox {
    position: absolute;
    margin: 10px;
}

.AdoreCatalog .ProductImagesItem img {
    width: 100%;
    height: auto;
}

.AdoreCatalog .ProductImagesItem .adminButtons {
    margin: 5px 0 0 0 !important;
    text-align: center;
}

.AdoreCatalog .ProductImages-PleaseWait, .AdoreCatalog .ProductImages-Loading {
    display: none;
    position: absolute;
    z-index: 9999;
    width: 100%;
    height: 100%;
    background: url(Images/loading.gif) no-repeat center center rgba(255, 255, 255, 0.75);
}

.AdoreCatalog .ProductImages-Loading {
    background: url(Images/loading.gif) no-repeat center center;
}

.AdoreCatalog .ProductImagesGrid tr {
    cursor: ns-resize;
}

.uploadBrowse {
    margin-bottom: 10px;
}


/* BULK UPLOAD */

.AdoreCatalog .bulkUploadDropZone {
    border: 2px dotted #545454;
    display: block;
    color: #545454;
    text-align: center;
    vertical-align: middle;
    padding: 30px;
    margin-bottom: 10px;
    font-size: 200%;
}

.AdoreCatalog .bulkUploadProgressBar {
    width: 200px;
    height: 22px;
    border: 1px solid #ddd;
    border-radius: 5px;
    overflow: hidden;
    display: inline-block;
    margin: 0px 10px 5px 5px;
    vertical-align: top;
}

    .AdoreCatalog .bulkUploadProgressBar div {
        height: 100%;
        color: #fff;
        text-align: right;
        line-height: 22px; /* same as #progressBar height if we want text middle aligned */
        width: 0;
        background-color: #545454;
        border-radius: 3px;
    }

.AdoreCatalog .bulkUploadStatusbar {
    border-top: 1px solid #545454;
    min-height: 25px;
    /*width:700px;*/
    padding: 10px 10px 0px 10px;
    vertical-align: top;
}

    .AdoreCatalog .bulkUploadStatusbar:nth-child(odd) {
        background: #f2f2f2;
    }

.AdoreCatalog .bulkUploadFilename {
    display: inline-block;
    vertical-align: top;
    width: 250px;
}

.AdoreCatalog .bulkUploadFilesize {
    display: inline-block;
    vertical-align: top;
    color: #545454;
    width: 100px;
    margin-left: 10px;
    margin-right: 5px;
}

.AdoreCatalog .bulkUploadAbort {
    background-color: #A8352F;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    display: inline-block;
    color: #fff;
    font-family: arial;
    font-size: 13px;
    font-weight: normal;
    padding: 4px 15px;
    cursor: pointer;
    vertical-align: top
}

.ProductCategoryImage {
    min-height: 73px;
    position: relative;
    margin-bottom: 30px;
}

.ProductCategoryGraphicLogoContainer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 30px;
    z-index: 2;
}

    .ProductCategoryGraphicLogoContainer img {
        width: auto;
        max-width: 100%;
    }

.ProductCategoryImageContainer {
    min-width: 960px;
    position: relative;
    overflow: hidden;
}

    .ProductCategoryImageContainer img {
        max-width: 100%;
        width: 100%;
    }

.ProductCategoryDetailImage {
    min-height: 73px;
    position: relative;
    margin-bottom: 30px;
}

.ProductCategoryDetailGraphicLogoContainer {
    bottom: 0;
    height: 100%;
    left: 0;
    padding: 110px 30px 30px;
    position: absolute;
    width: 100%;
    z-index: 2;
}

.ProductCategoryDetailGraphicLogo {
    position: relative;
    width: 100%;
    height: 100%;
}

    .ProductCategoryDetailGraphicLogo img {
        width: auto;
        height: auto;
        max-height: 100%;
        max-width: 100%;
    }

.ProductCategoryDetailImageContainer {
    position: relative;
    overflow: hidden;
}

.ProductCategoryDetailImageWrapper {
    min-height: 175px;
}

    .ProductCategoryDetailImageWrapper img {
        min-height: 175px;
        min-width: 100%;
    }

.ProductDisclaimer {
    font-size: 11px;
    text-align: center;
    width: 100%;
    margin: 15px 30px;
}

.ProductCategoryImageBackgroundGradient {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    width: 100%;
    height: 80px;
}

.ProductCategoryInfo {
    padding: 0 30px;
}

    .ProductCategoryInfo .ProductCategoryTypesetLogo img {
        max-width: 100%;
    }

.ProductCategoryDescription {
    padding: 10px 0;
}

.ProductFilter, .EditCategoryButton {
    margin: 15px 0;
}

/* PRODUCT CATALOG TILES */

.ProductTile {
    position: relative;
    cursor: pointer;
    line-height: 16px;
    padding: 0 !important;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.ProductTileContainer {
    padding-bottom: 100%;
    width: 100%;
}

.ProductTile .ProductCategory {
    margin-bottom: 15px;
}

.ProductTile .ProductTileInfo {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 8%;
    background: rgba(0, 0, 0, 0.3);
    color: #fff;
    font-family: 'PT Sans Narrow', sans-serif;
    font-weight: bold;
    font-size: 16px;
}

.ProductTile .ProductTileMore {
    position: relative;
    display: none;
}

.ProductTile .ProductTileActions {
    margin-top: 30px;
}

.ProductTileSample a.btnSample, a.btnVisualizer {
    color: #fff;
    font-size: 20px;
    font-weight: normal;
    line-height: 20px;
    text-transform: lowercase;
}

    a.btnVisualizer i {
        font-size: 22px;
        top: 3px;
        position: relative;
    }

.ProductTileSampleContainer {
    display: table;
    width: 100%;
    height: 40px;
}

.ProductTileSampleIcon {
    display: table-cell;
    vertical-align: middle;
    width: 30px;
}

.ProductTileSampleLabel {
    display: table-cell;
    vertical-align: middle;
}

.ProductTileDetail {
    text-align: right;
}

.ProductTileActions a.dnnPrimaryAction {
    margin-bottom: 0;
    padding-left: 10px;
    padding-right: 10px;
    min-width: 0;
    width: auto;
}

.ProductTileSample {
    padding-right: 0 !important;
}

.ProductTileDetail {
    padding-left: 0 !important;
}

.PrintProductTile {
    display: none;
}

/* Product Detail */

.ProductDetail {
    margin: 0 15px;
}

    .ProductDetail .ProductImage, .ProductDetail .ProductInfo {
        margin-top: 15px;
        margin-bottom: 15px;
    }

        .ProductDetail .ProductImage img {
            width: 100%;
            max-width: 100%;
        }

        .ProductDetail .ProductImage .MagnifyingGlass {
            position: absolute;
            right: 30px;
            top: 15px;
            font-size: 28px;
            background: #666;
            color: #fff;
            padding: 0 10px;
            opacity: 0.5;
        }

            .ProductDetail .ProductImage .MagnifyingGlass:hover {
                opacity: 1;
            }

        .ProductDetail .ProductImage .secondary {
            float: left;
            width: 20%;
        }

            .ProductDetail .ProductImage .secondary img {
                padding: 5px;
            }

.ProductInfo h2 {
    /*margin-top: 0;*/
}

.ProductDetail .InfoButtons {
    float: right;
    white-space: nowrap;
}

    .ProductDetail .InfoButtons .PrintButton, .ProductDetail .InfoButtons .BackButton, .ProductDetail .InfoButtons .EditButton {
        float: left;
    }

    .ProductDetail .InfoButtons .PrintButton {
        padding: 3px 0 4px;
    }

    .ProductDetail .InfoButtons .BackButton {
        margin: 0 0 0 30px !important;
    }

    .ProductDetail .InfoButtons .EditButton {
        margin: 0 0 0 10px !important;
    }

        .ProductDetail .InfoButtons .BackButton a, .ProductDetail .InfoButtons .EditButton a {
            margin-bottom: 0;
        }

.ProductDetail .ProductInfo h2 {
    margin: 0;
    padding: 0;
    font-size: 24px;
    line-height: 28px;
}

.SimilarStyles {
    margin: 15px -5px 0 -5px;
}

    .SimilarStyles h4 {
        margin: 0 5px 10px 5px;
        color: #333;
    }

    .SimilarStyles .SimilarStyleItem {
        width: 12.5%;
        float: left;
    }

        .SimilarStyles .SimilarStyleItem img {
            max-width: 100%;
            padding: 5px;
        }

@media all and (max-width: 992px) {
    .SimilarStyles .SimilarStyleItem {
        width: 20%;
        float: left;
    }
}

@media all and (max-width: 767px) {
    .SimilarStyles .SimilarStyleItem {
        width: 12.5%;
        float: left;
    }
}

@media all and (max-width: 767px) {
    .SimilarStyles .SimilarStyleItem {
        width: 20%;
        float: left;
    }
}

@media all and (max-width: 360px) {
    .SimilarStyles .SimilarStyleItem {
        width: 33%;
        float: left;
    }
}

.RequestSample {
    margin-top: 30px;
}

    .RequestSample .btnSample {
        background-image: url(images/btnSample.png) !important;
        background-repeat: no-repeat !important;
        background-position: 10px center !important;
        padding-left: 45px;
        padding-top: 5px;
        padding-bottom: 5px;
    }

.dottedRule {
    margin-top: 15px;
    background: url(images/horz-rule.png) repeat-x left top;
    height: 2px;
}

.ruledWrapper {
    padding: 10px 0;
    border-bottom: 1px solid #e2e2e2;
    /*margin: 0 15px;*/
}

.ProductSpecs h3 {
    margin-left: 15px;
}

.ProductSpecsContainer {
    display: table;
    font-size: 15px;
    line-height: 19px;
    margin-bottom: 30px;
    width: 100%;
    padding-right: 30px;
}

    .ProductSpecsContainer .row {
        display: table-row;
    }

.specLeft {
    display: table-cell;
    padding-left: 15px;
    padding-right: 15px;
}

.specRight {
    display: table-cell;
    padding-right: 15px;
}

.ResourcesTechWrapper {
    display: table;
    width: 100%;
    margin-bottom: 30px;
}

.ProductResources {
    display: table-cell;
    font-size: 15px;
    line-height: 19px;
}

    .ProductResources h3 {
        margin-left: 15px;
    }

    .ProductResources .ruledWrapper {
        margin-left: 0;
        margin-right: 45px;
        padding-left: 15px;
    }

.ProductCertifications {
    margin-right: 45px;
}

    .ProductCertifications .row {
        margin-left: -5px !important;
        margin-right: -5px !important;
    }

.ProductCertificationsItem {
    margin-bottom: 10px;
    padding-left: 5px !important;
    padding-right: 5px !important;
}

    .ProductCertificationsItem img {
        max-width: 100%;
        width: 100%;
        border: 1px solid #bfbfbf;
        padding: 5px;
    }

@media all and (max-width: 640px) {
    .ProductCertifications {
        margin-right: 0;
    }
}

.ProductTechnologies {
    display: table-cell;
    width: 225px;
}

.ProductTechnologiesWrapper {
    margin: 0 -5px;
}

.ProductTechnologiesItem {
    margin: 5px;
}

    .ProductTechnologiesItem img {
        max-width: 100%;
        width: 100%;
        border: 1px solid #bfbfbf;
        padding: 5px;
    }

@media all and (max-width: 640px) {
    .ResourcesTechWrapper, .ProductResources, .ProductTechnologies {
        display: block;
        width: auto;
    }

        .ProductResources .ruledWrapper {
            margin-right: 0;
        }

    .ProductTechnologies {
        margin: 0 15px;
    }

    .ProductTechnologiesItem {
        float: left;
        margin: 1.6%;
        width: 46.8%;
    }
}

.productCatalogSearchImage {
    float: left;
    margin: 0 15px 15px 0;
}

.SamplesOrderFormCheck {
    display: none;
}

/* WAREHOUSE CATALOG */

.ProductCatalogWarehouseList {
    padding: 0 15px;
    width: 100%;
    max-width: 1170px;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px;
    padding-bottom: 30px;
}

    .ProductCatalogWarehouseList .ProductCatalogWarehouseListItem {
        width: calc(50% - 5px);
    }

    .ProductCatalogWarehouseList .ProductCatalogWarehouseListItemWrapper {
        display: flex;
        flex-direction: row;
        margin: 5px;
        background: #efefef;
        height: 100%;
    }

    .ProductCatalogWarehouseList .ProductCatalogWarehouseImage {
        width: 33%;
        margin: 10px;
    }

        .ProductCatalogWarehouseList .ProductCatalogWarehouseImage img {
            max-width: 100%;
        }

    .ProductCatalogWarehouseList .ProductCatalogWarehouseDetails {
        width: 67%;
        margin: 10px;
    }

        .ProductCatalogWarehouseList .ProductCatalogWarehouseDetails h3 {
            margin-top: 0;
        }

    .ProductCatalogWarehouseList .ProductCatalogWarehouseData {
        width: 100%;
        display: grid;
        grid-template-columns: minmax(0, max-content) 1fr;
        gap: 5px;
        row-gap: 5px;
    }

    .ProductCatalogWarehouseList .ProductCatalogWarehouseDataRow {
        display: contents;
        font-size: 0.85em;
    }

    .ProductCatalogWarehouseList .ProductCatalogWarehouseData .TextLabel {
        font-weight: bold;
    }

    .ProductCatalogWarehouseList .ProductCatalogWarehouseData .TextData {
    }


@media all and (max-width: 1024px) {
    .ProductCatalogWarehouseList .ProductCatalogWarehouseListItem {
        width: 100%;
        margin-bottom:15px;
    }
}